<nz-table 
    [nzData]="data"
    [nzScroll]="{ y: '35.5rem' }"
    [nzShowPagination]="false">
    <tbody  
        class="h-full"
        cdkDropList
        (cdkDropListDropped)="drop($event)">
        <tr 
            *ngFor="let item of data; let i = index; trackBy: trackBy;"
            cdkDrag>
            <td [nzAlign]="'center'">
                {{ i + 1 }}
            </td>
            <td [nzAlign]="'left'">
                <nz-form-item class="m-0">
                    <nz-form-control>
                        <input 
                            nz-input 
                            name="item{{ i }}"
                            placeholder="Title..."
                            [(ngModel)]="data[i].title"/>
                    </nz-form-control>
                </nz-form-item>
            </td>
            <td [nzAlign]="'right'">
                <button 
                    nz-button 
                    class="btn-delete"
                    nzType="link"
                    nz-popconfirm
                    nzPopconfirmTitle="Are you sure?"
                    (nzOnConfirm)="onConfirm(i)"
                    (nzOnCancel)="onCancel()">
                    <i
                        nz-icon
                        class="icon-size"
                        nzType="mdi:delete">
                    </i>
                </button>
            </td>
        </tr>
    </tbody>
</nz-table>
<div
    class="table-footer py-3"
    fxLayout="row"
    fxLayoutAlign="space-between center">
    <button
        nz-button
        nzType="default"
        (click)="insert()"
        fxLayout="row">
        <i
            nz-icon
            class="icon-size"
            nzType="mdi:plus">
        </i>
        Add
    </button>
    <button
        nz-button
        nzType="default"
        (click)="save()"
        fxLayout="row">
        <i
            nz-icon
            class="icon-size"
            nzType="mdi:content-save">
        </i>
        Save
    </button>
</div>
